# std::chrono::operator<< (std::chrono::month_day_last)

From cppreference.com
< cpp‎ | chrono‎ | month day last

template <class CharT, class Traits> std::basic_ostream<CharT, Traits>& operator<<(std::basic_ostream<CharT, Traits>& os, const std::chrono::month_day_last& mdl); |  | (since C++20)

Outputs a textual representation of `mdl` into `os`, as if by os << mdl.month() << "/last";

### Return value

`os`.

### Notes

This `operator<<` is primarily intended for debugging use. When used with non-default stream flags, the output may be surprising:

    auto mdl = std::chrono::February/std::chrono::last;
    std::cout.width(10);
    std::cout.fill('-');
    std::cout << std::left << mdl; // may output "Feb-------/last"

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_day_last/operator_ltlt&oldid=104700"